<?php
// Heading
$_['heading_title'] = 'Verifone Hosted';

// Text
$_['text_extension'] = 'Extensions';
$_['text_success'] = 'Success: You have modified Verifone account details!';
$_['text_edit'] = 'Edit your Verifone Hosted settings';
$_['text_account_settings'] = 'Account settings';
$_['text_display_settings'] = 'Display settings';
$_['text_card_settings'] = 'Card payment settings';
$_['text_alternative_payment_settings'] = 'Alternative payment options';
$_['text_test_credentials'] = 'Test credentials';
$_['text_payment_options'] = 'Payment options';
$_['text_advanced_options'] = 'Advanced options';
$_['text_order_statuses'] = 'Order statuses';
$_['text_verifone_hosted'] = '<a href="https://www.verifone.com" target="_blank"><img style="max-height: 30px;" src="view/image/payment/verifone_logo.svg" alt="Verifone logo"  title="Verifone" /></a>';
$_['text_register'] = 'Register this link to your Verifone Account';

// Entry
//general
$_['entry_region'] = 'Region';
$_['entry_region_help'] = 'The region in which your Verifone account is created. Check your Verifone Central access URL if in doubt.';
$_['entry_total'] = 'Total';
$_['entry_total_help'] = 'The checkout total the order must reach before this payment method becomes active.';
$_['entry_choose_environment'] = 'Choose environment';
$_['entry_choose_environment_help'] = 'Use the Verifone testing environment (CST) to test the integration, if you have an account set up in the CST environment.';
$_['entry_test'] = 'Test Mode';
$_['entry_checkout_type'] = 'Checkout type';
$_['entry_checkout_type_help']='Choose whether you need the Verifone checkout to be displayed as a standalone page or as an iFrame.';
$_['entry_checkout_type_hosted']='Hosted Payment Page';
$_['entry_checkout_type_iframe']='iFrame';
$_['entry_live_environment']='Live';
$_['entry_test_environment']='Test mode (CST)';
$_['entry_order_status'] = 'Order Status';
$_['entry_order_complete_status_help'] = 'Choose order status for a complete order';
$_['entry_order_pending_status_help'] = 'Choose order status for a pending order';
$_['entry_order_refunded_status_help'] = 'Choose order status for a refunded order';
$_['entry_geo_zone'] = 'Geo Zone';
$_['entry_geo_zone_help'] = 'Geo Zone that the payment is visible';
$_['entry_theme_id'] = 'Theme ID';
$_['entry_theme_id_help'] = 'Add an ID to use a theme different from the default Verifone theme. You can find the ID in Verifone Central.';
$_['entry_status'] = 'Status';
$_['entry_status_help'] = 'Enables or disables the payment method';
$_['entry_sort_order'] = 'Sort Order';
$_['entry_sort_order_help'] = 'Sort order that the payment is displayed to client';
$_['entry_pending_status'] = 'Pending Status';
$_['entry_complete_status'] = 'Complete Status';
$_['entry_refunded_status'] = 'Refunded Status';
$_['entry_missing_order'] = 'Missing order';
$_['entry_failed_status'] = 'Failed Status';
$_['entry_sca_none']='None';
$_['entry_sca_wallet']='Wallet';
$_['entry_sca_force_3ds']='Force 3DS';
$_['entry_sca']='SCA (Strong customer authentication)';
$_['entry_sca_help']='Select the SCA compliance level required, as instructed by the Verifone team.';


//prod
$_['entry_prod_api_user'] = 'User ID';
$_['entry_prod_api_user_help'] = 'The user id of the user that generated the API Key in Verifone Central. You can find it in your Verifone Central account, under Profile → API Keys. (mandatory)';
$_['entry_prod_api_key'] = 'Api Key';
$_['entry_prod_api_key_help'] = 'The value of the public API Key you created in Verifone Central. (mandatory)';
$_['entry_prod_entity'] = 'Organisation ID ';
$_['entry_prod_entity_help'] = 'The organisation ID can be found in Verifone Central, under Administration → Organisations.';
$_['entry_prod_payment_contract'] = 'Payment Provider Contract ID';
$_['entry_prod_payment_contract_help'] = 'The 3DS Contract ID can be found in Verifone Central, under Administration → 3-D Secure Provider Contracts.';
$_['entry_prod_3ds_contract'] = '3DS Contract Id';
$_['entry_prod_3ds_contract_help'] = 'The 3DS Contract ID can be found in Verifone Central, under Administration → 3-D Secure Provider Contracts.';


//card payment
$_['entry_enable_card']='Enable card payment';
$_['entry_3ds'] = 'Enable card 3DS';
$_['entry_3ds_help'] = 'The purpose of 3D-Secure is to safeguard the online payment by applying an additional authentication step of the cardholder before sending an authorization request to the card issuer.';
$_['entry_cvv'] = 'CVV on payment';
$_['entry_cvv_help'] = 'Requires the CVV when shoppers pay with a card.';
$_['entry_fraud'] = 'Enable Fraud protection';
$_['entry_fraud_contract_id'] = 'Fraud Contract ID';
$_['entry_fraud_contract_id_help'] = 'Ask your account manager for the fraud contract ID';


//Alternative payment
$_['entry_enable_applepay']='Apple Pay';
$_['entry_applepay_contract_help'] = 'The ID can be found in Verifone Central, under Administration → Payment Provider Contracts, after selecting the contract available for Apple Pay as a service provider.';
$_['entry_applepay_contract'] = 'Apple Pay payment provider contract ID';
$_['entry_enable_googlepay']='Google Pay';
$_['entry_googlepay_contract_help'] = 'The ID can be found in Verifone Central, under Administration → Payment Provider Contracts, after selecting the contract available for Google Pay as a service provider.';
$_['entry_googlepay_contract'] = 'Google Pay payment provider contract ID';
$_['entry_enable_paypal'] = 'PayPal';
$_['entry_paypal_contract_help'] = 'The ID can be found in Verifone Central, under Administration → Payment Provider Contracts, after selecting the contract available for PayPal as a service provider.';
$_['entry_paypal_contract'] = 'PayPal payment provider contract ID';
//vipps
$_['entry_enable_vipps']='Vipps';
$_['entry_vipps_contract'] = 'Vipps payment provider contract ID';
$_['entry_vipps_contract_help'] = 'The ID can be found in Verifone Central, under Administration → Payment Provider Contracts, after selecting the contract available for Vipps as a service provider.';
$_['entry_vipps_3ds_contract'] = 'Vipps 3DS contract ID';
$_['entry_vipps_3ds_contract_help'] = 'This is required only when SCA is set to "FORCE 3DS" or "WALLET". The ID can be found in Verifone Central, under Administration → Payment Provider Contracts, after selecting the contract available for Vipps as a service provider';

//mobile_pay
$_['entry_enable_mobile_pay']='MobilePay';
$_['entry_mobile_pay_contract'] = 'MobilePay payment provider contract ID';
$_['entry_mobile_pay_contract_help'] = 'The ID can be found in Verifone Central, under Administration → Payment Provider Contracts, after selecting the contract available for MobilePay as a service provider.';
$_['entry_mobile_pay_3ds_contract'] = 'MobilePay 3DS contract ID';
$_['entry_mobile_pay_3ds_contract_help'] = 'This is required only when SCA is set to "FORCE 3DS" or "WALLET". The ID can be found in Verifone Central, under Administration → Payment Provider Contracts, after selecting the contract available for MobilePay as a service provider';

// klarna
$_['entry_enable_klarna']='Klarna';
//Gpp2
$_['entry_enable_gpp2']='Gpp2';
$_['entry_gpp2_contract'] = 'Gpp2 payment provider contract ID';
//GiftCard
$_['entry_enable_gift_card']='Enable Gift Card';
$_['entry_gift_card_contract'] = 'Gift Card payment provider contract ID';
//PLCC
$_['entry_enable_plcc']='Enable PLCC';
$_['entry_plcc_contract'] = 'PLCC payment provider contract ID';
//swish
$_['entry_enable_swish']='Swish';
//ABS installments
$_['entry_enable_abs']=' ABS installments';
$_['entry_abs_help'] = 'Enable if you have a contract with ABS from Israel through Verifone and wish to make use of it in your cart.';
// Transaction Types
$_['entry_transaction_type'] = 'Transaction type';
$_['entry_transaction_type_help'] = 'Make sure that your acquirer supports the payment type you choose.';

//advance
$_['entry_enable_curl'] = 'Enable/Disable cURL verify host and peer';
$_['entry_enable_curl_help'] = 'This option determines whether curl verifies the authenticity of the peer and host certificates';
$_['entry_enable_overlay'] = 'Enable/Disable overlay when placing order ';
$_['entry_enable_overlay_help'] = 'This option will enable an overlay when placing an order. This is nothing more than a visual indication for the user that the request is starting';


// Error
$_['error_permission'] = 'Warning: You do not have permission to modify payment Verifone!';
$_['error_required_field'] = ' field is required!';

$_['text_refund'] = 'Refund';
$_['text_total_amount_refund'] = 'Initial amount that can be refunded: ';
$_['text_amount_refunded'] = ' refunded';
$_['text_refund_final'] = 'Refunded';
