<?php

namespace Verifone;

class Verifone_Helpers
{
    protected $db;

    function __construct(\Registry $registry)
    {
        $this->db = $registry->get('db');
    }

    function addOrderHistory(\Proxy $model_checkout_order, int $order_id, int $order_status_id, string $comment)
    {
        $query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "order_history` WHERE order_id='" . $order_id . "' AND order_status_id = " . $order_status_id);
        foreach ($query->rows as $row)
            if (0 === strcmp($row['comment'], $comment)) {
                return false;
            }
        return $model_checkout_order->addOrderHistory($order_id, $order_status_id, $comment);
    }

    /**
     * We need to multiply correct for all currencies
     * @param $amount
     * @return float|int
     */
    public static function calculateAmount($amount)
    {

        return (string)($amount * 100);
    }
}